cURL
curl --request GET \
--url https://api.comm.com/api/v1/enrichment/hlr/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/enrichment/hlr/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/enrichment/hlr/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"overview": {
"totalRequests": 123,
"successfulRequests": 123,
"failedRequests": 123,
"successRate": 123,
"averageResponseTime": 123,
"totalCost": 123
},
"retryAnalysis": {
"totalRetriedCalls": 123,
"retriesSuccessful": 123,
"retrySuccessRate": 123,
"averageRetriesPerCall": 123,
"maxRetries": 123,
"costOfRetries": 123
},
"timeBasedMetrics": {
"peakHours": [
"<string>"
],
"averageRetryDelay": 123,
"fastestRetrySuccess": 123,
"slowestRetrySuccess": 123
},
"carrierPerformance": [
{
"carrier": "<string>",
"requests": 123,
"successRate": 123,
"avgResponseTime": 123
}
],
"statusBreakdown": [
{
"status": "<string>",
"count": 123,
"percentage": 123,
"color": "<string>"
}
],
"retryPatterns": [
{
"retryAttempt": 123,
"successRate": 123,
"count": 123
}
],
"costAnalysis": {
"costPerRequest": 123,
"costPerRetry": 123,
"totalSavings": 123,
"roiPercentage": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}HlrValidations
Get v1enrichmenthlranalytics
GET
/
v1
/
enrichment
/
hlr
/
analytics
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
call, sms Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I